Page 1 of 2

How to install multi PHP versions

Posted: Sat Jul 25, 2020 10:23 pm
by dpeca
Download php-installer:

Code: Select all

wget -nv -O ./vesta-inst-php.sh https://c.myvestacp.com/tools/multi-php-install.sh
Now you need to edit the script before you run it.

Code: Select all

mcedit ./vesta-inst-php.sh
Put 1 in desired PHP versions.

Code: Select all

inst_56=0
inst_70=0
inst_71=0
inst_72=0
inst_73=0
inst_74=0
inst_80=0
Save it, and then run script.

Code: Select all

sudo bash ./vesta-inst-php.sh

Re: How to install multi PHP versions

Posted: Sun Aug 16, 2020 11:02 pm
by BartMan__X
Fresh Install
Debian 10,1 CPU, 50GB Storage, 2GB RAM
myVesta 0.9.8-26-33

FAIL:

sudo bash ./vesta-inst-php.sh
Multi-PHP support is only for myVesta that is installed in nginx+Apache or Apache variant

Re: How to install multi PHP versions

Posted: Sun Aug 16, 2020 11:57 pm
by dpeca
As it said, you probably installed nginx+php-fpm variant of myVesta (without Apache), and in that case we don't have multi-PHP support.

Re: How to install multi PHP versions

Posted: Tue Sep 08, 2020 1:43 pm
by lito
Can you please recommend the way how to uninstall certain versions of php. Initially I installed all possible versions, but now I don’t need php 7.0 and 7.1. How can I uninstall them completely without uninstalling 5.6, 7.2, 7.3 and 7.4.

Re: How to install multi PHP versions

Posted: Tue Sep 08, 2020 5:00 pm
by dpeca
https://github.com/myvesta/vesta/blob/m ... ll.sh#L104
you will see:

Code: Select all

apt -y install php5.6-mbstring php5.6-bcmath php5.6-cli php5.6-curl php5.6-fpm php5.6-gd php5.6-intl php5.6-mcrypt php5.6-mysql php5.6-soap php5.6-xml php5.6-zip php5.6-memcache php5.6-memcached
instead of -y install just use remove --purge

so, command will be:

Code: Select all

apt remove --purge php5.6-mbstring php5.6-bcmath php5.6-cli php5.6-curl php5.6-fpm php5.6-gd php5.6-intl php5.6-mcrypt php5.6-mysql php5.6-soap php5.6-xml php5.6-zip php5.6-memcache php5.6-memcached
or even better:

Code: Select all

apt remove --purge php5.6*
also remove:

Code: Select all

rm /usr/local/vesta/data/templates/web/apache2/PHP-FPM-56.stpl
rm /usr/local/vesta/data/templates/web/apache2/PHP-FPM-56.tpl
rm /usr/local/vesta/data/templates/web/apache2/PHP-FPM-56.sh
do the same for all other versions.

Re: How to install multi PHP versions

Posted: Wed Sep 09, 2020 5:43 am
by lito
Thank you.

Re: How to install multi PHP versions

Posted: Wed Sep 30, 2020 6:11 pm
by soptec
Hi, ¿is possible configure multiphp to php 5.4? . Thanks

Re: How to install multi PHP versions

Posted: Thu Oct 01, 2020 2:14 am
by dpeca
soptec wrote:
Wed Sep 30, 2020 6:11 pm
Hi, ¿is possible configure multiphp to php 5.4? . Thanks
Unfortunately, no.

Re: How to install multi PHP versions

Posted: Mon Mar 01, 2021 2:10 pm
by goodday
Hello Dpeca. I have following question:

Say, i have installed myVestaCP on debian 10 with PHP 7.3 as default. And i want to have PHP 56, 72, 73, 74.

So when i will run this additional PHP version installer i should check (give value 1):

a) only for 56, 72 and 74
b) or all versions incl already existing 73?

If i should option b) = check also existing/already installed version 73; then installer will ask me if i want keep current PHP 73 config (ini file) or replace with new one (package maintainer). I should choice YES = keep current, or install new one by installer and overwrite exsiting settings?

I do not remember what option i have used but on one VPS i seen at boot (after multi PHP installation) that default PHP version FPM (73) gave note at boot that failed to start and does not work (with red text whe OS start in VNC console)
So i am not sure what i should properly choice in this case.

Thank you very much for explanation

Also thanks for myvesta, it is nice fork and work. Regards Milos

Update: thank you for the answer what i got

Re: How to install multi PHP versions

Posted: Mon Mar 01, 2021 2:16 pm
by dpeca
goodday wrote:
Mon Mar 01, 2021 2:10 pm
a) only for 56, 72 and 74
This :)